<?php
$title = 'Логи сообщений';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Логи сообщений ('.$count_maillog.')</div>';

    $num_u = $connect->prepare("select count(*) from `mail` where `id` = ? ");

    if (isset($_GET['del_all'])) {
        if ($count_maillog > 0) {
            if (isset($_POST['ok'])) {
                $stmt = $connect->prepare("delete from `mail` where  `read` rlike ?");
                if ($stmt->execute(array($_POST['read'] ?? RS_ALL_CHARS))) {
                    header('Location: /adm/maillog');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/maillog');
            }
            echo '<div class="menu">
            <form action="" method="POST">
           
            <select name="read">
            <option value="'.RS_ALL_CHARS.'">Все</option>
            <option value="1">Прочитаные</option>
            <option value="0">Не прочитаные</option>
            </select>
            <input type="submit" name="ok" value="Очистить логи"/> 
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/maillog');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del']));
        if ($num_u->fetchColumn()) {
            if (isset($_POST['ok'])) {
                $stmt = $connect->prepare("delete from `mail` where `id` = ?");
                if ($stmt->execute(array($_GET['del']))) {
                    header('Location: /adm/maillog');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/maillog');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Удалить ('.intval($_GET['del']).')"/> 
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/paylog');
        }
    }

    if ($count_maillog == 0){
        echo '<div class="menu">NONE</div>';
    } else {

        echo '<div class="forlink"><a href="?del_all" class="links"><img src="/img/delete.png" alt="delete">Очистить сообщения</a></div>';

        $page = new Pagination($count_maillog, 10);

        $data = $connect->prepare("select * from `mail` order by `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="menu">
            ID: '.$row['id'].'           [ '.daytime($row['time']).' ]<hr>
От: '.profileLink($row['from']).'<br/>
           <span class="count5">
          
            '.($row['read'] == 1 ? '<div class="good">Прочитано</div>' : '<div class="forbidden">Не прочитано</div>').'
           </span>
            
<br>
         Для : '.profileLink($row['to']).'<br/>
           <hr>
            Текст: '.$row['text'].' <hr>
<a href="?del='.$row['id'].'"><img src="/img/del.png" alt="del">[Удалить сообщение]</a>
            


 </div>';

        }

        $page->navigation();

    }

    echo '<div class="menu"><div class="information">Все неоплаченные заявки удаляются автоматически через 24 часа после записи в лог.</div></div>';

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>